# `linear_probe_fn` Interface

A probe sequence policy using fixed increments.

Defined in: `hash_policy.hpp`

## Template Parameters

Parameter | Description | Default Value

    typename Size_Type

Size type.

size_t

## Public Types and Constants

### General Definitions

Type | Definition | Description

    size_type

    Size_Type

Size type.

## Public Methods

### Constructors, Destructor, and Related

Method | Description

    void
      swap
      (linear_probe_fn &other)

Swaps content.

## Protected Methods

### Offset Methods

Method | Description

    inline size_type
      operator()
      (size_type i) const

Returns the `i`-th offset from the hash value.